Attribute VB_Name = "delProps"
Sub delProps()
    Dim swApp                           As SldWorks.SldWorks
    Dim swModel                         As SldWorks.ModelDoc2
    Dim vConfigNameArr                  As Variant
    Dim vConfigName                     As Variant
    Dim vCustInfoNameArr                As Variant
    Dim vCustInfoName                   As Variant
    Dim bRet                            As Boolean
    Dim swCustPropMgr                   As Object
    Dim thisConfig                      As Object
    
    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc

    'Debug.Print "File = " & swModel.GetPathName
    vConfigNameArr = swModel.GetConfigurationNames
    ' Is empty if a drawing becasue configurations not supported on drawings
    If IsEmpty(vConfigNameArr) Then
        ReDim vConfigNameArr(0)
        vConfigNameArr(0) = ""
    Else
        ' Add a blank string for the nonconfiguration-specific custom properties
        ReDim Preserve vConfigNameArr(UBound(vConfigNameArr) + 1)
    End If
    
    Set swCustPropMgr = swModel.Extension.CustomPropertyManager("")
    If swModel.GetType = swDocDRAWING Then
       swCustPropMgr.Delete "A-Nr."
       swCustPropMgr.Delete "Z-Name"
       swCustPropMgr.Delete "Z-Name2"
    Else
       For Each vConfigName In vConfigNameArr
         'Debug.Print "  " & vConfigName
         Set swCustPropMgr = swModel.Extension.CustomPropertyManager(vConfigName)
         swCustPropMgr.Delete "A-Nr."
         swCustPropMgr.Delete "Z-Name"
         swCustPropMgr.Delete "Z-Name2"
         If vConfigName <> "" Then
           Set thisConfig = swModel.GetConfigurationByName(vConfigName)
           thisConfig.Description = vConfigName
         End If
       Next
    End If
    If swApp.ActiveDoc.EditRebuild3() Then
      'MsgBox "Rebuild successful"
    Else
       MsgBox "Wiederaufbaufehler"
    End If
End Sub
